Subject: [bug#52109] [PATCH] gnu: Add unrar-free.

From: Liliana Marie Prikler <[email-masked]>
Date: Thu, 25 Nov 2021 20:49:27 +0100

Hi,

Am Donnerstag, den 25.11.2021, 15:19 +0000 schrieb Foo Chuan Wei:
> * gnu/packages/compression.scm (unrar-free): New variable.
> [...]
> +    (inputs
> +     `(("libarchive" ,libarchive)))
> [...] 
> This program is a simple command-line front-end to libarchive
Does this program handle anything that libarchive does not already
have?  libarchive already ships its own command line utility (bsdtar),
plus there's other frontends with less confusing names available.  The
only use-case for "unrar-free" would be to inevitably push people
towards the non-free unrar when it inevitably fails to upack that one
of several weird rar files [1].

Cheers

[1] https://github.com/libarchive/libarchive/search?q=unrar&type=issues